Bug 1130512 - italic support backported from vte3
italic support backported from vte3
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: vte (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-15 08:56 EDT by Alexey Radkov
Modified: 2015-06-29 18:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 18:04:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for italic support in vte (for mate-terminal) (20.49 KB, patch)
2014-08-15 08:57 EDT, Alexey Radkov
no flags Details | Diff
patch fixed (20.50 KB, patch)
2014-08-15 15:46 EDT, Alexey Radkov
no flags Details | Diff

  None (edit)
Description Alexey Radkov 2014-08-15 08:56:10 EDT
Hi.

This is a backport from https://git.gnome.org/browse/vte/commit/?id=ad68297cb8792c5f2927ccac44014507ff310da2

It makes my mate-terminal show pretty italic fonts!

How to check it:

echo -e "\e[3m foo \e[23m"

How to enable italic in vim: http://blog.nerdyweekly.com/posts/enable-italic-text-vim-tmux-gnome-terminal/

The patch is compatible with vte.spec, i tested it building src rpm.

Cheers, Alexey.
Comment 1 Alexey Radkov 2014-08-15 08:57:32 EDT
Created attachment 927079 [details]
patch for italic support in vte (for mate-terminal)
Comment 2 Alexey Radkov 2014-08-15 15:46:16 EDT
Created attachment 927249 [details]
patch fixed

the first patch may segfault as it may use uninitialized pointer (cell)
Comment 3 Alexey Radkov 2014-08-15 16:28:31 EDT
Comment on attachment 927079 [details]
patch for italic support in vte (for mate-terminal)

do not use this patch: it may segfault. A newer patch won't segfault.
Comment 4 Egmont Koblinger 2014-08-16 20:40:19 EDT
Hi Alexey,

Just my 2 cents, my personal opinion as a recently active vte contributor:

Vte-0.28 (the last gtk2 version) has been unmaintained and unsupported for years.  Vte has since then received hundreds of bugfixes, many of them are way more important than italic support.  There were fixes for crashes, for temporary display corruptions, for permanent scrollback data corruptions and a whole lot more.  There are quite a few new features too, italic being one of them.

It doesn't make any sense to me to cherry-pick one random feature out of these hundreds back into the gtk2 version.

Also, I don't understand the rationale behind intentionally sticking with an older desktop (mate), yet requesting features from the newest one.  If you want the newest features, why not use a gtk3 desktop, or at least gnome-terminal rather than mate-terminal?

Or, mate developers should change their desktop to provide the old Gnome2 user experience on top of the newest maintained and supported Gtk3 libraries.

Or, somebody (maybe you, maybe from the mate team) should step up to maintain a fork of vte-0.28, and backport as many patches from the current vte master as possible (we're taking about a few hundreds here, italic being one of them).  That would make sense IMO.
Comment 5 Alexey Radkov 2014-08-17 07:28:29 EDT
Hi Egmont,

I understand your point. I think MATE developers would be a much better target for this request than Red Hat, but it looks like they do not use custom vte library and my request to them would require to fork it. Another point is that not only MATE is using older vte but some other projects too, for example geany.

Personally i still want this patch because it makes vim feature-rich filetype plugins like pandoc render awesome! Old vte-0.28.2 renders italic as reverted bg/fg and this looks ugly IMO.

For the reason why i do not use Gnome 3 there is a single word: Compiz.

Cheers, Alexey.
Comment 6 Fedora End Of Life 2015-05-29 08:38:36 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 18:04:52 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.